com.android.agf.interfaces

## Class JavaScriptInterface

- java.lang.Object
- - com.android.agf.interfaces.JavaScriptInterface

- Direct Known Subclasses:
    Base_WebViewFragment.MyJavaScript

      public abstract class JavaScriptInterface
      extends Object

  classe que implementa la interficie amb la que es comunicarà el servidor pentaho
  Author:
    albert

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `height`
    `protected int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptInterface()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChart()` getter tipus grafic
    `List<Number>` | `getData(int id)` funcio per aconseguir els valors
    `int` | `getDataLength()` funcio per aconseguir el numero de series
    `int` | `getHeight()` getter l'alçada del webview associat
    `List<String>` | `getLabels()` funcio per aconseguir les etiquetes
    `int` | `getPaletteColorChart()` funcio per obtenir el color del grafic
    `int` | `getTitleSetting()` funcio per obtenir el titol del grafic
    `int` | `getWidth()` getter amplada del webview associat
    `void` | `inicia()` funcio per avisar del inici del proces
    `void` | `setChart(int chart)` setter tipus grafic
    `void` | `setColor(int color)` setter color
    `void` | `setHeight(int height)` setter l'alçada del webview associat
    `void` | `setLegend(String[] elem)` setter llegenda
    `void` | `setWidth(int width)` setter amplada del webview associat
    `void` | `tanca()` funcio per avisar que s'ha acabat el proces

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height

          protected int height

    - #### width

          protected int width

  - ### Constructor Detail

    - #### JavaScriptInterface

          public JavaScriptInterface()

  - ### Method Detail

    - #### inicia

          public void inicia()

      funcio per avisar del inici del proces

    - #### tanca

          public void tanca()

      funcio per avisar que s'ha acabat el proces

    - #### getPaletteColorChart

          public int getPaletteColorChart()

      funcio per obtenir el color del grafic
      Returns:

    - #### getTitleSetting

          public int getTitleSetting()

      funcio per obtenir el titol del grafic
      Returns:

    - #### setColor

          public void setColor(int color)

      setter color
      Parameters:
        `color` -

    - #### setLegend

          public void setLegend(String[] elem)

      setter llegenda
      Parameters:
        `elem` -

    - #### getChart

          public int getChart()

      getter tipus grafic
      Returns:

    - #### setChart

          public void setChart(int chart)

      setter tipus grafic
      Parameters:
        `chart` -

    - #### getDataLength

          public int getDataLength()

      funcio per aconseguir el numero de series
      Returns:

    - #### getData

          public List<Number> getData(int id)

      funcio per aconseguir els valors
      Parameters:
        `id` -
      Returns:

    - #### getLabels

          public List<String> getLabels()

      funcio per aconseguir les etiquetes
      Returns:

    - #### getHeight

          public int getHeight()

      getter l'alçada del webview associat
      Returns:

    - #### setHeight

          public void setHeight(int height)

      setter l'alçada del webview associat
      Parameters:
        `height` -

    - #### getWidth

          public int getWidth()

      getter amplada del webview associat
      Returns:

    - #### setWidth

          public void setWidth(int width)

      setter amplada del webview associat
      Parameters:
        `width` -